h=scf();
[x,y]=meshgrid(-2.0001:0.1:2.0001,-2:0.1:2);
[u,v]=mathieu_cart2ell(x,y,1);
xset("colormap",jetcolormap(10));		//set the colormap
set(gca(),"auto_clear","off")
mesh(x,y,real(u));
mesh(x,y,real(v));
contour(-2.0001:.1:2.0001,-2:.1:2,u,10)
contour(-2.0001:.1:2.0001,-2:.1:2,v,10)
set(gca(),"rotation_angles",[180,180])


for k=1:41
	for j=1:41
		w1(k,j)=mathieu_mathieu('ce',1,1,v(k,j));
	end
end
for q=0.1:0.1:2 
	set(gca(),"auto_clear","off"); 
	plot(mathieu_mathieu('ce',1,5,%i*q),'.');
end
set(gca(),"rotation_angles",[180,270])
set(gca(),"rotation_angles",[180,0])
