// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//

[u,v]=mathieu_cart2ell(-1.2,3.4,5.6);
assert_checkalmostequal(u,0.5837672,1.e-6);
assert_checkalmostequal(v,1.3874443,1.e-6);
//
[x,y]=meshgrid(-2.0001:.1:2.0001,-2:.1:2);
[u,v]=mathieu_cart2ell(x,y,1);
xset("colormap",jetcolormap(10));
xset("auto clear","off");
contour(-2.0001:.1:2.0001,-2:.1:2,u,10);
contour(-2.0001:.1:2.0001,-2:.1:2,v,10);
mesh(x,y,v);
mesh(x,y,u);
set(gca(),"rotation_angles",[180,180]);

