// Copyright (C) 2001 - 2002 - R.Coisson & G. Vernizzi, Parma University
// Copyright (C) X. K. Yang
// Copyright (C) N. Strelkov
// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GPL Version 2
// http://www.gnu.org/licenses/gpl-2.0.html

function [nu,q,a] = mathieu_expqa(q,a) 
    nu=zeros(length(q),length(a));
    for j=1:length(a)
        for h=1:length(q)
            nu(h,j)=mathieu_mathieuexp(a(j),q(h),12); 
        end
    end
    xset("colormap",jetcolormap(32));
    contour(q,a,log10(imag(nu)),30);
    set(gca(),"grid",[1,1]);
endfunction
